{
    "defects": [
        {
            "checker": "CPPCHECK_WARNING",
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.c",
                    "line": 0,
                    "event": "information[normalCheckLevelMaxBranches]",
                    "message": "Limiting analysis of branches. Use --check-level=exhaustive to analyze all branches.",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CPPCHECK_WARNING",
            "cwe": 457,
            "language": "c/c++",
            "tool": "cppcheck",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 508,
                    "event": "warning[uninitvar]",
                    "message": "Uninitialized variable: to",
                    "verbosity_level": 0
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 289,
                    "column": 2,
                    "event": "warning[core.UndefinedBinaryOperatorResult]",
                    "message": "The left operand of '<<' is a garbage value",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 207,
                    "column": 30,
                    "event": "note",
                    "message": "expanded from macro 'FF'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 270,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'NEXTx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 112,
                    "column": 40,
                    "event": "note",
                    "message": "expanded from macro 's2u'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 747,
                    "column": 2,
                    "event": "note",
                    "message": "Calling 'MD5Init'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 747,
                    "column": 2,
                    "event": "note",
                    "message": "Returning from 'MD5Init'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 749,
                    "column": 7,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/embedvar.h",
                    "line": 100,
                    "column": 49,
                    "event": "note",
                    "message": "expanded from macro 'PL_dowarn'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 749,
                    "column": 6,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 749,
                    "column": 33,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/warnings.h",
                    "line": 238,
                    "column": 20,
                    "event": "note",
                    "message": "expanded from macro 'ckWARN'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 749,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 782,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'items'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 782,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 785,
                    "column": 6,
                    "event": "note",
                    "message": "Calling 'MD5Update'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 399,
                    "column": 26,
                    "event": "note",
                    "message": "'len' is <= field 'bytes_low'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 399,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 402,
                    "column": 9,
                    "event": "note",
                    "message": "'fill' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 402,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 415,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'blocks' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 415,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 417,
                    "column": 11,
                    "event": "note",
                    "message": "Assuming the condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 417,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 785,
                    "column": 6,
                    "event": "note",
                    "message": "Returning from 'MD5Update'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 786,
                    "column": 10,
                    "event": "note",
                    "message": "Assuming 'had_utf8' is 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 786,
                    "column": 6,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 782,
                    "column": 14,
                    "event": "note",
                    "message": "Assuming 'i' is < 'items'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 782,
                    "column": 2,
                    "event": "note",
                    "message": "Loop condition is true.  Entering loop body",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 785,
                    "column": 6,
                    "event": "note",
                    "message": "Calling 'MD5Update'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 399,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'len' is <= field 'bytes_low'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 399,
                    "column": 5,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 402,
                    "column": 9,
                    "event": "note",
                    "message": "Assuming 'fill' is not equal to 0",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 402,
                    "column": 5,
                    "event": "note",
                    "message": "Taking true branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 404,
                    "column": 6,
                    "event": "note",
                    "message": "Assuming 'len' is >= 'missing'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 404,
                    "column": 2,
                    "event": "note",
                    "message": "Taking false branch",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 408,
                    "column": 2,
                    "event": "note",
                    "message": "Left side of '||' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2880,
                    "column": 24,
                    "event": "note",
                    "message": "expanded from macro 'Copy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 8,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 408,
                    "column": 2,
                    "event": "note",
                    "message": "'?' condition is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2880,
                    "column": 24,
                    "event": "note",
                    "message": "expanded from macro 'Copy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2761,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2757,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_WILL_WRAP'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2736,
                    "column": 5,
                    "event": "note",
                    "message": "expanded from macro '_MEM_WRAP_NEEDS_RUNTIME_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 408,
                    "column": 2,
                    "event": "note",
                    "message": "Left side of '&&' is false",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2880,
                    "column": 24,
                    "event": "note",
                    "message": "expanded from macro 'Copy'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2773,
                    "column": 32,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK_'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/usr/lib64/perl5/CORE/handy.h",
                    "line": 2762,
                    "column": 9,
                    "event": "note",
                    "message": "expanded from macro 'MEM_WRAP_CHECK'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 409,
                    "column": 2,
                    "event": "note",
                    "message": "Calling 'MD5Transform'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 289,
                    "column": 2,
                    "event": "note",
                    "message": "The left operand of '<<' is a garbage value",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 207,
                    "column": 30,
                    "event": "note",
                    "message": "expanded from macro 'FF'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 270,
                    "column": 25,
                    "event": "note",
                    "message": "expanded from macro 'NEXTx'",
                    "verbosity_level": 2
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.xs",
                    "line": 112,
                    "column": 40,
                    "event": "note",
                    "message": "expanded from macro 's2u'",
                    "verbosity_level": 2
                }
            ]
        },
        {
            "checker": "CLANG_WARNING",
            "language": "c/c++",
            "tool": "clang",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.c",
                    "line": 1063,
                    "column": 17,
                    "event": "warning[deadcode.DeadStores]",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 0
                },
                {
                    "file_name": "/builddir/build/BUILD/perl-Digest-MD5-2.59-build/Digest-MD5-2.59/MD5.c",
                    "line": 1063,
                    "column": 17,
                    "event": "note",
                    "message": "Value stored to 'file' during its initialization is never read",
                    "verbosity_level": 2
                }
            ]
        }
    ]
}
